mhl and mhbuild ignore to long lines
[mmh] / test / runtest
index edab162..32c82f5 100755 (executable)
@@ -36,7 +36,7 @@ folder -create `mhparam trashfolder` >/dev/null
 folder -create `mhparam draftfolder` >/dev/null
 
 # create 10 basic messages
-for i in `seq 1 10`;
+for i in 1 2 3 4 5 6 7 8 9 10;
 do
        cat >"$MAILDIR/inbox/$i" <<-!
                From: Test$i <test$i@example.com>
@@ -47,23 +47,25 @@ do
                This is message number $i
        !
 done
+folder +inbox >/dev/null
 
 # now run the test
 set +e
+export SHELL="${SHELL:-/bin/sh}"
 /bin/sh "$1"
 return_value=$?
 set -e
 
 if [ $return_value -eq 0 ] ; then
-       printf "Test %s:\tPASS\n" "$1"
+       printf "Test %-60s\tPASS\n" "$1"
        exit 0
 elif [ $return_value -eq 120 ]; then
        # indicates test was skipped (eg needed program not found)
        # test itself should have printed a message about this,
        # so print nothing here.
-       :
+       printf "Test %-60s\tSKIP\n" "$1"
        exit 2
 else
-       printf "Test %s:\tFAIL\n" "$1"
+       printf "Test %-60s\tFAIL\n" "$1"
        exit 1
 fi